<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta http-equiv="x-ua-compatible" content="ie=edge">
		<title>Hello World!</title>
		<meta name="description" content="">
		<meta name="viewport" content="width=device-width, initial-scale=1">
    <!--
		<style>
      .content {
        min-height: 100vh; display: flex; justify-content: center; align-items: center; text-align: center;
        font-family: "Source Sans Pro", "Helvetica Neue", Arial, sans-serif; display: block; color: #35495e; letter-spacing: 1px;
      }
		</style>
    -->
		<style>
			.intro {
				padding: 10px;
				max-width: 960px;
				width: 100%;
				margin: 100px auto 500px;
			}
			.height430 {
				height: 430px;
			}
			.height250 {
				height: 250px;
			}
			.height150 {
				height: 150px;
			}
			.height110 {
				height: 110px;
			}
			.height120 {
				height: 120px;
			}
			.height80 {
				height: 80px;
			}
		</style>
    <!--
<link rel="stylesheet" href="/css/bulma.min.css">
    -->

	</head>
	<body>
    <section class="section">
      <div class="container">
        <!-- Title -->
        <h1 class="title">
          Espruino
        </h1>
        <p class="subtitle">
          Playing with <strong>PuckJS</strong>!
          <ul>
            <li><a href="https://gitlab.com/k33g_org/samples/puckjs-simple">https://gitlab.com/k33g_org/samples/puckjs-simple</a></li>
            <li><a href="https://k33g_org.gitlab.io/samples/puckjs-simple/">https://k33g_org.gitlab.io/samples/puckjs-simple/</a></li>
          </ul>
        </p>
        <hr>
        <!-- End of Title -->

        <!-- Deck -->
        <small-deck></small-deck>

      </div>

    </section>

	</body>
  <script src="./js/puck.js"></script>
  <script src="./js/markdown-it.js"></script>
  <script src="./js/highlight.min.js"></script>
  <!--
  <script src="./js/Chart.min.js"></script>
  <script src="./js/d3.min.js"></script>
  <script src="./js/taucharts.min.js"></script>
  -->

  <script type="module">

    let styleSheetPromise = (cssPath, variableName) => fetch(cssPath, {
        mode: 'no-cors', // no-cors, *cors, same-origin
        credentials: 'same-origin' // include, *same-origin, omit

      })
      .then(response => response.text())
      .then(cssRaw => {
        const sheet = new CSSStyleSheet()
        sheet.replaceSync(cssRaw)
        // save the css result to a global variable to share styles
        // with web components
        window[variableName] = sheet
        return sheet
        //return cssResult.styleSheet
      })
      .catch(error => console.log(`😡 [${variableName}]`, error))

    Promise.all([
      styleSheetPromise("./css/bulma.min.css", "bulma"),
      styleSheetPromise("./css/default.min.css", "highlight"),
      styleSheetPromise("./css/tomorrow-night-blue.css", "tomorrow"),
      styleSheetPromise("./css/shades-of-purple.css", "purple")

    ]).then(styleSheets => {
      // apply styles to the main document (`body, html, ...`)
      document.adoptedStyleSheets = styleSheets
      import("./components/ui/SmallDeck.js")
    })

  </script>
</html>


